# Uses of Interface
org.eclipse.zest.layouts.interfaces.NodeLayout

Packages that use NodeLayout
Package
Description
org.eclipse.zest.core.widgets
org.eclipse.zest.core.widgets.custom
org.eclipse.zest.layouts.algorithms
org.eclipse.zest.layouts.interfaces

## Uses of NodeLayout in org.eclipse.zest.core.widgets

Fields in org.eclipse.zest.core.widgets with type parameters of type NodeLayout
Modifier and Type
Field
Description
`protected final Set<NodeLayout>`
DefaultSubgraph.`nodes`
Methods in org.eclipse.zest.core.widgets that return NodeLayout
Modifier and Type
Method
Description
`NodeLayout[]`
DefaultSubgraph.`getNodes()`
Methods in org.eclipse.zest.core.widgets with parameters of type NodeLayout
Modifier and Type
Method
Description
`void`
DefaultSubgraph.`addNodes(NodeLayout[] nodes)`
`void`
FigureSubgraph.`addNodes(NodeLayout[] nodes)`
Adds nodes to this subgraph.
`boolean`
DAGExpandCollapseManager.`canCollapse(LayoutContext context, NodeLayout node)`
`boolean`
DAGExpandCollapseManager.`canExpand(LayoutContext context, NodeLayout node)`
`SubgraphLayout`
DefaultSubgraph.DefaultSubgraphFactory.`createSubgraph(NodeLayout[] nodes, LayoutContext context)`
`SubgraphLayout`
DefaultSubgraph.LabelSubgraphFactory.`createSubgraph(NodeLayout[] nodes, LayoutContext context)`
`SubgraphLayout`
DefaultSubgraph.PrunedSuccessorsSubgraphFactory.`createSubgraph(NodeLayout[] nodes, LayoutContext context)`
`SubgraphLayout`
DefaultSubgraph.TriangleSubgraphFactory.`createSubgraph(NodeLayout[] nodes, LayoutContext context)`
`SubgraphLayout`
SubgraphFactory.`createSubgraph(NodeLayout[] nodes, LayoutContext context)`
`void`
DefaultSubgraph.`removeNodes(NodeLayout[] nodes)`
`void`
FigureSubgraph.`removeNodes(NodeLayout[] nodes)`
`void`
DAGExpandCollapseManager.`setExpanded(LayoutContext context, NodeLayout node, boolean expanded)`
Constructors in org.eclipse.zest.core.widgets with parameters of type NodeLayout
Modifier
Constructor
Description
`protected`
`FigureSubgraph(NodeLayout[] nodes, LayoutContext context)`

## Uses of NodeLayout in org.eclipse.zest.core.widgets.custom

Constructors in org.eclipse.zest.core.widgets.custom with parameters of type NodeLayout
Modifier
Constructor
Description
``
`LabelSubgraph(NodeLayout[] nodes, LayoutContext context, Color foregroundColor, Color backgroundColor)`
``
`TriangleSubgraph(NodeLayout[] nodes, LayoutContext context, TriangleSubgraph.TriangleParameters triangleParameters)`

## Uses of NodeLayout in org.eclipse.zest.layouts.algorithms

Fields in org.eclipse.zest.layouts.algorithms declared as NodeLayout
Modifier and Type
Field
Description
`protected final NodeLayout`
TreeLayoutObserver.TreeNode.`node`
Methods in org.eclipse.zest.layouts.algorithms that return NodeLayout
Modifier and Type
Method
Description
`NodeLayout`
TreeLayoutObserver.TreeNode.`getNode()`
Methods in org.eclipse.zest.layouts.algorithms with parameters of type NodeLayout
Modifier and Type
Method
Description
`TreeLayoutObserver.TreeNode`
TreeLayoutObserver.TreeNodeFactory.`createTreeNode(NodeLayout nodeLayout, TreeLayoutObserver observer)`
`TreeLayoutObserver.TreeNode`
TreeLayoutObserver.`getTreeNode(NodeLayout node)`
Returns a `TreeLayoutObserver.TreeNode` related to given node layout.
Constructors in org.eclipse.zest.layouts.algorithms with parameters of type NodeLayout
Modifier
Constructor
Description
`protected`
`TreeNode(NodeLayout node, TreeLayoutObserver owner)`
Creates a tree node related to given layout node

## Uses of NodeLayout in org.eclipse.zest.layouts.interfaces

Methods in org.eclipse.zest.layouts.interfaces that return NodeLayout
Modifier and Type
Method
Description
`NodeLayout[]`
LayoutContext.`getNodes()`
Returns all the nodes that should be laid out.
`NodeLayout[]`
SubgraphLayout.`getNodes()`
Returns all the nodes belonging to this subgraph.
`NodeLayout[]`
NodeLayout.`getPredecessingNodes()`
Returns all nodes that are direct predecessors of this node.
`NodeLayout`
ConnectionLayout.`getSource()`
`NodeLayout[]`
NodeLayout.`getSuccessingNodes()`
Returns all nodes that are direct successors of this node.
`NodeLayout`
ConnectionLayout.`getTarget()`
Methods in org.eclipse.zest.layouts.interfaces with parameters of type NodeLayout
Modifier and Type
Method
Description
`void`
SubgraphLayout.`addNodes(NodeLayout[] nodes)`
Adds nodes to this subgraph.
`boolean`
ExpandCollapseManager.`canCollapse(LayoutContext context, NodeLayout node)`
Checks if given node can be collapsed.
`boolean`
ExpandCollapseManager.`canExpand(LayoutContext context, NodeLayout node)`
Checks if given node can be expanded.
`SubgraphLayout`
LayoutContext.`createSubgraph(NodeLayout[] nodes)`
Creates a subgraph containing given nodes and adds it to this context.
`boolean`
GraphStructureListener.`nodeAdded(LayoutContext context, NodeLayout node)`
This method is called whenever a node is added to a context.
`boolean`
GraphStructureListener.Stub.`nodeAdded(LayoutContext context, NodeLayout node)`
`boolean`
LayoutListener.`nodeMoved(LayoutContext context, NodeLayout node)`
This method is called whenever location of a particular node is changed within observed context.
`boolean`
GraphStructureListener.`nodeRemoved(LayoutContext context, NodeLayout node)`
This method is called whenever a node is removed from a context.
`boolean`
GraphStructureListener.Stub.`nodeRemoved(LayoutContext context, NodeLayout node)`
`boolean`
LayoutListener.`nodeResized(LayoutContext context, NodeLayout node)`
This method is called whenever size of a particular node is changed within observed context.
`boolean`
PruningListener.`nodesUnpruned(LayoutContext context, NodeLayout[] nodes)`
This method is called when some nodes are unpruned in a layout context, that is they are no longer part of a subgraph.
`void`
SubgraphLayout.`removeNodes(NodeLayout[] nodes)`
Removes nodes from this subgraph.
`void`
ExpandCollapseManager.`setExpanded(LayoutContext context, NodeLayout node, boolean expanded)`
Changes the expanded state of given node.